Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodedocumenttypenodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodedocumenttypenodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a DocumentType Node

returns the constant value 10.

Retrieve the DTD from the XML file and invoke the

"getNodeType()" method. The method should return 10.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 49 of file nodedocumenttypenodetype.java.

## Constructor & Destructor Documentation

nodedocumenttypenodetype::nodedocumenttypenodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file nodedocumenttypenodetype.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String nodedocumenttypenodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 67 of file nodedocumenttypenodetype.java.
    00067                                 {
    00068       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodedocumenttypenodetype";
    00069    }

void nodedocumenttypenodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 70 of file nodedocumenttypenodetype.java. References DOMTestCase::doMain().
    00070                                           {
    00071         DOMTestCase.doMain(nodedocumenttypenodetype.class,args);
    00072    }

void nodedocumenttypenodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file nodedocumenttypenodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       DocumentType documentTypeNode;
    00060       int nodeType;
    00061       doc = load("staff");
    00062       documentTypeNode = doc.getDoctype();
    00063       nodeType = (int)documentTypeNode.getNodeType();
    00064       assertEquals("nodeDocumentTypeNodeTypeAssert1",10,nodeType);
    00065
    00066    }

The documentation for this class was generated from the following file:

- nodedocumenttypenodetype.java